enum LocaleType {
  en,
  fa,
  zh,
  nl,
  ru,
  it,
  fr,
  es,
  pl,
  pt,
  ko,
  ar,
  tr,
  jp,
  de,
  da,
  mn,
  bn,
  vi,
  hy,
  id,
  bg,
  eu
}

final _i18nModel = {
  'en': {
    'cancel': 'Cancel',
    'done': 'Done',
    'today': 'Today',
    'monthShort': [
      'Jan',
      'Feb',
      'Mar',
      'Apr',
      'May',
      'Jun',
      'Jul',
      'Aug',
      'Sep',
      'Oct',
      'Nov',
      'Dec'
    ],
    'monthLong': [
      'January',
      'February',
      'March',
      'April',
      'May',
      'June',
      'July',
      'August',
      'September',
      'October',
      'November',
      'December'
    ],
    'day': ['Mon', 'Tue', 'Wed', 'Thur', 'Fri', 'Sat', 'Sun'],
    'am': 'AM',
    'pm': 'PM'
  },
  'mn': {
    'cancel': 'Гарах',
    'done': 'Дуусгах',
    'today': 'Өнөөдөр',
    'monthShort': [
      '1-р сар',
      '2-р сар',
      '3-р сар',
      '4-р сар',
      '5-р сар',
      '6-р сар',
      '7-р сар',
      '8-р сар',
      '9-р сар',
      '10-р сар',
      '11-р сар',
      '12-р сар'
    ],
    'monthLong': [
      '1-р сарын ',
      '2-р сарын ',
      '3-р сарын ',
      '4-р сарын ',
      '5-р сарын ',
      '6-р сарын ',
      '7-р сарын ',
      '8-р сарын ',
      '9-р сарын ',
      '10-р сарын ',
      '11-р сарын ',
      '12-р сарын '
    ],
    'day': ['Дав', 'Мяг', 'Лха', 'Пүр', 'Баа', 'Бям', 'Ням'],
    'am': 'AM',
    'pm': 'PM'
  },
  'fa': {
    'cancel': 'لغو',
    'done': 'تایید',
    'today': 'امروز',
    'monthShort': [
      'فروردین',
      'اردیبهشت',
      'خرداد',
      'تیر',
      'مرداد',
      'شهریور',
      'مهر',
      'آبان',
      'آذر',
      'دی',
      'بهمن',
      'اسفند'
    ],
    'monthLong': [
      'فروردین',
      'اردیبهشت',
      'خرداد',
      'تیر',
      'مرداد',
      'شهریور',
      'مهر',
      'آبان',
      'آذر',
      'دی',
      'بهمن',
      'اسفند'
    ],
    'day': [
      'دوشنبه',
      'سه شنبه',
      'چهارشنبه',
      'پنج شنبه',
      'جمعه',
      'شنبه',
      'یکشنبه'
    ],
    'am': 'صبح',
    'pm': 'عصر'
  },
  'zh': {
    //Chinese
    'cancel': '取消',
    'done': '确定',
    'today': '今天',
    'monthShort': [
      '一月',
      '二月',
      '三月',
      '四月',
      '五月',
      '六月',
      '七月',
      '八月',
      '九月',
      '十月',
      '十一月',
      '十二月'
    ],
    'monthLong': [
      '一月',
      '二月',
      '三月',
      '四月',
      '五月',
      '六月',
      '七月',
      '八月',
      '九月',
      '十月',
      '十一月',
      '十二月'
    ],
    'day': ['星期一', '星期二', '星期三', '星期四', '星期五', '星期六', '星期日'],
    'am': '上午',
    'pm': '下午'
  },
  'nl': {
    //Dutch
    'cancel': 'Annuleer',
    'done': 'Klaar',
    'today': 'Vandaag',
    'monthShort': [
      'Jan',
      'Feb',
      'Mar',
      'Apr',
      'Mei',
      'Jun',
      'Jul',
      'Aug',
      'Sep',
      'Okt',
      'Nov',
      'Dec',
    ],
    'monthLong': [
      'Januari',
      'Februari',
      'Maart',
      'April',
      'Mei',
      'Juni',
      'Juli',
      'Augustus',
      'September',
      'Oktober',
      'November',
      'December',
    ],
    'day': [
      'Ma',
      'Di',
      'Wo',
      'Do',
      'Vr',
      'Za',
      'Zo',
    ],
    'am': 'AM',
    'pm': 'PM'
  },
  'ru': {
    'cancel': 'Отмена',
    'done': 'Готово',
    'today': 'Сегодня',
    'monthShort': [
      'Янв',
      'Фев',
      'Март',
      'Апр',
      'Май',
      'Июнь',
      'Июль',
      'Авг',
      'Сен',
      'Окт',
      'Ноя',
      'Дек'
    ],
    'monthLong': [
      'Январь',
      'Февраль',
      'Март',
      'Апрель',
      'Май',
      'Июнь',
      'Июль',
      'Август',
      'Сентябрь',
      'Октябрь',
      'Ноябрь',
      'Декабрь'
    ],
    'day': ['Пн', 'Вт', 'Ср', 'Чт', 'Пт', 'Сб', 'Вс'],
    'am': 'AM',
    'pm': 'PM'
  },
  'it': {
    'cancel': 'Annulla',
    'done': 'Conferma',
    'today': 'Oggi',
    'monthShort': [
      'Gen',
      'Feb',
      'Mar',
      'Apr',
      'Mag',
      'Giu',
      'Lug',
      'Ago',
      'Set',
      'Ott',
      'Nov',
      'Dic'
    ],
    'monthLong': [
      'Gennaio',
      'Febbraio',
      'Marzo',
      'Aprile',
      'Maggio',
      'Giugno',
      'Luglio',
      'Agosto',
      'Settembre',
      'Ottobre',
      'Novembre',
      'Dicembre'
    ],
    'day': ['Lun', 'Mar', 'Mer', 'Giov', 'Ven', 'Sab', 'Dom'],
    'am': 'AM',
    'pm': 'PM'
  },
  'fr': {
    'cancel': 'Annuler',
    'done': 'Confirmer',
    'today': "Aujourd'hui",
    'monthShort': [
      'Jan',
      'Fév',
      'Mar',
      'Avr',
      'Mai',
      'Juin',
      'Juil',
      'Aoû',
      'Sep',
      'Oct',
      'Nov',
      'Déc'
    ],
    'monthLong': [
      'Janvier',
      'Février',
      'Mars',
      'Avril',
      'Mai',
      'Juin',
      'Juillet',
      'Août',
      'Septembre',
      'Octobre',
      'Novembre',
      'Décembre'
    ],
    'day': ['Lun', 'Mar', 'Mer', 'Jeu', 'Ven', 'Sam', 'Dim'],
    'am': 'AM',
    'pm': 'PM'
  },
  'es': {
    'cancel': 'Cancelar',
    'done': 'Confirmar',
    'today': 'Hoy',
    'monthShort': [
      'Ene',
      'Feb',
      'Mar',
      'Abr',
      'May',
      'Jun',
      'Jul',
      'Ago',
      'Sep',
      'Oct',
      'Nov',
      'Dic'
    ],
    'monthLong': [
      'Enero',
      'Febrero',
      'Marzo',
      'Abril',
      'Mayo',
      'Junio',
      'Julio',
      'Agosto',
      'Septiembre',
      'Octubre',
      'Noviembre',
      'Diciembre'
    ],
    'day': ['Lun', 'Mar', 'Mié', 'Jue', 'Vie', 'Sáb', 'Dom'],
    'am': 'AM',
    'pm': 'PM'
  },
  'pl': {
    'cancel': 'Anuluj',
    'done': 'Gotowe',
    'today': 'Dziś',
    'monthShort': [
      'Sty',
      'Lut',
      'Mar',
      'Kwi',
      'Maj',
      'Cze',
      'Lip',
      'Sie',
      'Wrz',
      'Paź',
      'Lis',
      'Gru'
    ],
    'monthLong': [
      'Styczeń',
      'Luty',
      'Marzec',
      'Kwiecień',
      'Maj',
      'Czerwiec',
      'Lipiec',
      'Sierpień',
      'Wrzesień',
      'Październik',
      'Listopad',
      'Grudzień'
    ],
    'day': ['Pn', 'Wt', 'Śr', 'Cz', 'Pt', 'Sb', 'Nd'],
    'am': 'AM',
    'pm': 'PM'
  },
  'pt': {
    'cancel': 'Cancelar',
    'done': 'Confirmar',
    'today': 'Hoje',
    'monthShort': [
      'Jan',
      'Fev',
      'Mar',
      'Abr',
      'Mai',
      'Jun',
      'Jul',
      'Ago',
      'Set',
      'Out',
      'Nov',
      'Dez'
    ],
    'monthLong': [
      'Janeiro',
      'Fevereiro',
      'Março',
      'Abril',
      'Maio',
      'Junho',
      'Julho',
      'Agosto',
      'Setembro',
      'Outubro',
      'Novembro',
      'Dezembro'
    ],
    'day': ['Seg', 'Ter', 'Qua', 'Qui', 'Sex', 'Sáb', 'Dom'],
    'am': 'AM',
    'pm': 'PM'
  },
  'ko': {
    'cancel': '취소',
    'done': '완료',
    'today': '오늘',
    'monthShort': [
      '1월',
      '2월',
      '3월',
      '4월',
      '5월',
      '6월',
      '7월',
      '8월',
      '9월',
      '10월',
      '11월',
      '12월'
    ],
    'monthLong': [
      '1월',
      '2월',
      '3월',
      '4월',
      '5월',
      '6월',
      '7월',
      '8월',
      '9월',
      '10월',
      '11월',
      '12월'
    ],
    'day': ['월', '화', '수', '목', '금', '토', '일'],
    'am': '오전',
    'pm': '오후'
  },
  'ar': {
    'cancel': 'إنهاء',
    'done': 'تأكيد',
    'today': 'اليوم',
    'monthShort': [
      'يناير',
      'فبراير',
      'مارس',
      'إبريل',
      'مايو',
      'يونيو',
      'يوليو',
      'أغسطس',
      'سبتمبر',
      'أكتوبر',
      'نوفمبر',
      'ديسمبر'
    ],
    'monthLong': [
      'يناير',
      'فبراير',
      'مارس',
      'إبريل',
      'مايو',
      'يونيو',
      'يوليو',
      'أغسطس',
      'سبتمبر',
      'أكتوبر',
      'نوفمبر',
      'ديسمبر'
    ],
    'day': [
      'الإثنين',
      'الثلاثاء',
      'الأربعاء',
      'الخميس',
      'الجمعه',
      'السبت',
      'الاحد'
    ],
    'am': 'ص',
    'pm': 'م'
  },
  'tr': {
    'cancel': 'İptal',
    'done': 'Tamam',
    'today': 'Bugün',
    'monthShort': [
      'Oca',
      'Şub',
      'Mar',
      'Nis',
      'May',
      'Haz',
      'Tem',
      'Ağu',
      'Eyl',
      'Eki',
      'Kas',
      'Ara'
    ],
    'monthLong': [
      'Ocak',
      'Şubat',
      'Mart',
      'Nisan',
      'Mayıs',
      'Haziran',
      'Temmuz',
      'Ağustos',
      'Eylül',
      'Ekim',
      'Kasım',
      'Aralık'
    ],
    'day': ['Pzt', 'Sal', 'Çarş', 'Perş', 'Cum', 'Ctes', 'Paz'],
    'am': 'ÖÖ',
    'pm': 'ÖS'
  },
  'jp': {
    //Japanese
    'cancel': 'キャンセル',
    'done': '決定する',
    'today': '今日',
    'monthShort': [
      '1月',
      '2月',
      '3月',
      '4月',
      '5月',
      '6月',
      '7月',
      '8月',
      '9月',
      '10月',
      '11月',
      '12月'
    ],
    'monthLong': [
      '1月',
      '2月',
      '3月',
      '4月',
      '5月',
      '6月',
      '7月',
      '8月',
      '9月',
      '10月',
      '11月',
      '12月'
    ],
    'day': ['月曜日', '火曜日', '水曜日', '木曜日', '金曜日', '土曜日', '日曜日'],
    'am': '午前',
    'pm': '午後'
  },
  'de': {
    //German
    'cancel': 'Abbrechen',
    'done': 'OK',
    'today': 'Heute',
    'monthShort': [
      'Jan',
      'Feb',
      'Mrz',
      'Apr',
      'Mai',
      'Jun',
      'Jul',
      'Aug',
      'Sep',
      'Okt',
      'Nov',
      'Dez'
    ],
    'monthLong': [
      'Januar',
      'Februar',
      'März',
      'April',
      'Mai',
      'Juni',
      'Juli',
      'August',
      'September',
      'Oktober',
      'November',
      'Dezember'
    ],
    'day': ['Mo', 'Di', 'Mi', 'Do', 'Fr', 'Sa', 'So'],
    'am': 'AM',
    'pm': 'PM'
  },
  'da': {
//Danish
    'cancel': 'Annullér',
    'done': 'OK',
    'today': 'I dag',
    'monthShort': [
      'jan',
      'feb',
      'mar',
      'apr',
      'maj',
      'juni',
      'juli',
      'aug',
      'sept',
      'okt',
      'nov',
      'dec'
    ],
    'monthLong': [
      'januar',
      'februar',
      'marts',
      'april',
      'maj',
      'juni',
      'juli',
      'august',
      'september',
      'oktober',
      'november',
      'december'
    ],
    'day': ['man', 'tirs', 'ons', 'tors', 'fre', 'lør', 'søn'],
    'am': 'AM',
    'pm': 'PM'
  },
  'bn': {
//Bengali
    'cancel': 'বাতিল',
    'done': 'সম্পন্ন',
    'today': 'আজ',
    'monthShort': [
      "জানু",
      "ফেব্",
      "মার্চ",
      "এপ্রিল",
      "মে",
      "জুন",
      "জুলাই",
      "অগাস্ট",
      "সেপ্ট",
      "অক্ট",
      "নভেম্",
      "ডিসেম্"
    ],
    'monthLong': [
      "জানুয়ারী",
      "ফেব্রুয়ারি",
      "মার্চ",
      "এপ্রিল",
      "মে",
      "জুন",
      "জুলাই",
      "অগাস্ট",
      "সেপ্টেম্বর",
      "অক্টোবর",
      "নভেম্বর",
      "ডিসেম্বর"
    ],
    'day': [
      "রবিবার",
      "সোমবার",
      "মঙ্গলবার",
      "বুধবার",
      "বৃহস্পতিবার",
      "শুক্রবার",
      "শনিবার",
    ],
    'am': 'AM',
    'pm': 'PM'
  },
  'vi': {
    'cancel': 'Hủy bỏ',
    'done': 'Xong',
    'today': 'Hôm nay',
    'monthShort': [
      'Thg1',
      'Thg2',
      'Thg3',
      'Thg4',
      'Thg5',
      'Thg6',
      'Thg7',
      'Thg8',
      'Thg9',
      'Thg10',
      'Thg11',
      'Thg12'
    ],
    'monthLong': [
      'Tháng 1',
      'Tháng 2',
      'Tháng 3',
      'Tháng 4',
      'Tháng 5',
      'Tháng 6',
      'Tháng 7',
      'Tháng 8',
      'Tháng 9',
      'Tháng 10',
      'Tháng 11',
      'Tháng 12'
    ],
    'day': ['T2', 'T3', 'T4', 'T5', 'T6', 'T7', 'CN'],
    'am': 'SA',
    'pm': 'CH'
  },
  'hy': {
//Armenian
    'cancel': 'Չեղարկել',
    'done': 'հաստատել',
    'today': 'Այսօր',
    'monthShort': [
      'Հնվ',
      'Փետ',
      'Մար',
      'Ապր',
      'Մայ',
      'Հուն',
      'Հուլ',
      'Օգոս',
      'Սեպ',
      'Հոկ',
      'Նոյ',
      'Դեկ'
    ],
    'monthLong': [
      'Հունվար',
      'Փետրվար',
      'Մարտ',
      'Ապրիլ',
      'Մայիս',
      'Հունիս',
      'Հուլիս',
      'Օգոստոս',
      'Սեպտեմբեր',
      'Հոկտեմբեր',
      'Նոյեմբեր',
      'Դեկտեմբեր'
    ],
    'day': ['Երկ', 'Երք', 'Չրք', 'Հնգ', 'Ուր', 'Շբթ', 'Կիր'],
    'am': 'AM',
    'pm': 'PM'
  },
  'id': {
    'cancel': 'Batal',
    'done': 'Pilih',
    'today': 'Hari Ini',
    'monthShort': [
      'Jan',
      'Feb',
      'Mar',
      'Apr',
      'Mei',
      'Jun',
      'Jul',
      'Agu',
      'Sep',
      'Okt',
      'Nov',
      'Des'
    ],
    'monthLong': [
      'Januari',
      'Februari',
      'Maret',
      'April',
      'Mei',
      'Juni',
      'Juli',
      'Agustus',
      'September',
      'Oktober',
      'November',
      'Desember'
    ],
    'day': ['Sen', 'Sel', 'Rab', 'Kam', 'Jum', 'Sab', 'Min'],
    'am': 'AM',
    'pm': 'PM'
  },
  'bg': {
    'cancel': 'Отказ',
    'done': 'Готово',
    'today': 'Днес',
    'monthShort': [
      'Яну',
      'Фев',
      'Март',
      'Апр',
      'Май',
      'Юни',
      'Юли',
      'Авг',
      'Сен',
      'Окт',
      'Ное',
      'Дек'
    ],
    'monthLong': [
      'Януари',
      'Февруари',
      'Март',
      'Април',
      'Май',
      'Юни',
      'Юли',
      'Август',
      'Септември',
      'Октомври',
      'Ноември',
      'Декември'
    ],
    'day': ['Пн', 'Вт', 'Ср', 'Чт', 'Пт', 'Сб', 'Нд'],
    'am': 'AM',
    'pm': 'PM'
  },
  'eu': {
    // basque
    'cancel': 'Ezeztau',
    'done': 'Onartu',
    'today': 'Gaur',
    'monthShort': [
      'urt.',
      'ots.',
      'mar.',
      'api.',
      'mai.',
      'eka.',
      'uzt.',
      'abu.',
      'ira.',
      'urr.',
      'aza.',
      'abe.'
    ],
    'monthLong': [
      'urtarrila',
      'otsaila',
      'martxoa',
      'apirila',
      'maiatza',
      'ekaina',
      'uztaila',
      'abuztua',
      'iraila',
      'urria',
      'azaroa',
      'abendua'
    ],
    'day': ['al.', 'ar.', 'az.', 'og.', 'or.', 'lr.', 'ig.'],
    'am': 'AM',
    'pm': 'PM'
  },
};
//get international object
Map<String, dynamic>? i18nObjInLocale(LocaleType type) {
  switch (type) {
    case LocaleType.fa:
      return _i18nModel['fa'];
    case LocaleType.zh:
      return _i18nModel['zh'];
    case LocaleType.nl:
      return _i18nModel['nl'];
    case LocaleType.ru:
      return _i18nModel['ru'];
    case LocaleType.it:
      return _i18nModel['it'];
    case LocaleType.fr:
      return _i18nModel['fr'];
    case LocaleType.es:
      return _i18nModel['es'];
    case LocaleType.pl:
      return _i18nModel['pl'];
    case LocaleType.pt:
      return _i18nModel['pt'];
    case LocaleType.ko:
      return _i18nModel['ko'];
    case LocaleType.ar:
      return _i18nModel['ar'];
    case LocaleType.tr:
      return _i18nModel['tr'];
    case LocaleType.jp:
      return _i18nModel['jp'];
    case LocaleType.de:
      return _i18nModel['de'];
    case LocaleType.da:
      return _i18nModel['da'];
    case LocaleType.mn:
      return _i18nModel['mn'];
    case LocaleType.bn:
      return _i18nModel['bn'];
    case LocaleType.vi:
      return _i18nModel['vi'];
    case LocaleType.hy:
      return _i18nModel['hy'];
    case LocaleType.id:
      return _i18nModel['id'];
    case LocaleType.bg:
      return _i18nModel['bg'];
    case LocaleType.eu:
      return _i18nModel['eu'];
    default:
      return _i18nModel['en'];
  }
}
